Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.caucho
Class SimpleBurlapServiceExporter

    java.lang.Object
      org.springframework.remoting.support.RemotingSupport
          org.springframework.remoting.support.RemoteExporter
              org.springframework.remoting.caucho.BurlapExporter
                  org.springframework.remoting.caucho.SimpleBurlapServiceExporter

All Implemented Interfaces:
  HttpHandler, BeanClassLoaderAware, InitializingBean

    public class SimpleBurlapServiceExporter

extends BurlapExporter
implements HttpHandler

HTTP request handler that exports the specified service bean as Burlap service endpoint, accessible via a Burlap proxy. Designed for Sun's JRE 1.6 HTTP server, implementing the `HttpHandler` interface.

Burlap is a slim, XML-based RPC protocol. For information on Burlap, see the Burlap website. This exporter requires Burlap 3.x.

Note: Burlap services exported with this class can be accessed by any Burlap client, as there isn't any special handling involved.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `BurlapClientInterceptor`, `BurlapProxyFactoryBean`, `SimpleHessianServiceExporter`, `SimpleHttpInvokerServiceExporter`

Field Summary

Fields inherited from class org.springframework.remoting.support.RemotingSupport
`logger`

Constructor Summary
`SimpleBurlapServiceExporter()`

Method Summary
`void` | `handle(HttpExchange exchange)` Processes the incoming Burlap request and creates a Burlap response.

Methods inherited from class org.springframework.remoting.caucho.BurlapExporter
`afterPropertiesSet, invoke, prepare`

Methods inherited from class org.springframework.remoting.support.RemoteExporter
`checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, isRegisterTraceInterceptor, setRegisterTraceInterceptor, setService, setServiceInterface`

Methods inherited from class org.springframework.remoting.support.RemotingSupport
`getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBurlapServiceExporter

    public SimpleBurlapServiceExporter()

Method Detail

### handle

    public void handle(HttpExchange exchange)
                throws IOException

  Processes the incoming Burlap request and creates a Burlap response.

  Specified by:
    `handle` in interface `HttpHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.